Subject: bug#21554: no previous prototype for 'set_binary_mode'

From: Benno Schulenberg <[email-masked]>
Date: Sat, 26 Sep 2015 08:27:54 +0200

On Fri, Sep 25, 2015, at 21:07, Paul Eggert wrote:
> On 09/25/2015 12:40 AM, Benno Schulenberg wrote:
> > In file included from binary-io.c:3:
> > binary-io.h:53: error: no previous prototype for 'set_binary_mode'
> 
> Thanks, I managed to reproduce this on an old RHEL 6 server we have.  It 
> uses GCC 4.4.7, which is too old for use with --enable-gcc-warnings.  
> Please configure without --enable-gcc-warnings and build it that way; it 
> should build fine. That is, a plain './configure; make; make check' 
> should work.

No, a plain ./configure does not work; that's how I've built grep always.
But a './configure --disable-gcc-warnings && make' does work.

$ src/grep --version | head -1
src/grep (GNU grep) 2.21.65-4f89-dirty

Maybe ./configure should detect the compiler version and
automatically add --disable-gcc-warnings for old versions?

>  (Of course you may run into problems with your old buggy 
> libpcre, but that's a different story....)

Well, configure says this:

  checking for PCRE... no
  checking for pcre_compile... no
  configure: WARNING: GNU grep will be built without pcre support.

So it seems I won't have problems there.  :)

Benno

-- 
http://www.fastmail.com - IMAP accessible web-mail